version: '3'

volumes:
  rabbitmq_data:
    driver: local

services:

  rabbitmq:
    image: rabbitmq:management
    container_name: rabbitmq
    environment:
      RABBITMQ_DEFAULT_USER: "admin"
      RABBITMQ_DEFAULT_PASS: "Pa55w0rd"
      RABBITMQ_DEFAULT_VHOST: "/"
    volumes:
      - rabbitmq_data:/var/lib/rabbitmq/
    ports:
      - 15672:15672
      - 5672:5672
